
ChiliProject - Bug # 1207: segfault on initial database migration

Status: Closed Priority: Normal
Author: Thomas WeiÃŸschuh Category:
Created: 2013-01-16 Assignee:
Updated: 2013-01-17 Due date:
Remote issue URL:
Affected version: 3.5.0
Description: I get segfaults on three machines while doing initial database setup.

The machine which exhibited the problem first was reinstalled just before,
without any other ruby programs.

<pre>
$ RAILS_ENV=production bundle exec rake db:migrate --trace
** Invoke db:migrate (first_time)
** Invoke environment (first_time)
** Execute environment
** Execute db:migrate

[..] migrating stuff
==  InsertBuiltinRoles: migrating =============================================
<$BUNDLE_PATH>/gems/activerecord-2.3.15/lib/active_record/validations.rb:479: [BUG] Segmentation fault
ruby 1.9.3p362 (2012-12-25 revision 38607) [x86_64-linux]

[..] 1.4k more lines of backtraces
</pre>

I am running git master (908391d54e943fb500) on Archlinux.
Glibc is version 2.17.
Kernel 3.6.11.
Occurs with sqlite and postgres.

Rerunning on the same database results in segmentationfaults at the same 
position in the ruby file but crashing at:

<pre>
==  AddViewIssuesPermission: migrating ========================================
</pre>

after this it's:

<pre>
==  MergeWikiVersionsWithJournals: migrating ==================================
</pre>

it won't get past the last one.

If i delete the affected migration files the migration runs smoothly.
I suspect this is more a problem in ruby, but as my ruby skills are
nonexisting maybe someone who has more knowledge about chiliproject could help
me triage this.

End of stacktrace is:
<pre>
[NOTE]
You may have encountered a bug in the Ruby interpreter or extension libraries.
Bug reports are welcome.
For details: http://www.ruby-lang.org/bugreport.html
</pre>

PS: 3.5.0 seems to be missing from <pre>Affected Versions</pre>

Associated revisions
2008-05-13 07:54 pm - Jean-Philippe Lang 
Fixed: Redmine::Scm::Adapters::GitAdapter#get_rev ignored GIT_BIN constant (#1207).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1428 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2013-01-17 12:29 pm - Holger Just
- Affected version changed from master to 3.5.0

- Status changed from Open to Closed

Ruby 1.9.3-p362 seems to be rather prone to segfaults and there is nothing we can do about it. You should rather use an earlier version, e.g. Ruby 
1.9.3-p327.

See these links for reference:

* https://bugs.ruby-lang.org/issues/7629
* https://twitter.com/travisci/status/285014980363943937

2013-01-17 04:03 pm - Holger Just
And just today, the Ruby team "released Ruby 1.9.3-p374":http://www.ruby-lang.org/en/news/2013/01/17/ruby-1-9-3-p374-is-released/. You could also 
try this one: 
